Bug 142970 - [iOS] Accessibility crashing because MediaPlayer is laying out UI off the main thread
Summary: [iOS] Accessibility crashing because MediaPlayer is laying out UI off the mai...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-03-23 11:29 PDT by Jer Noble
Modified: 2015-06-18 10:00 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.63 KB, patch)
2015-03-23 11:32 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (4.23 KB, patch)
2015-03-26 15:07 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2015-03-23 11:29:55 PDT
[iOS] Accessibility crashing because MediaPlayer is laying out UI off the main thread
Comment 1 Jer Noble 2015-03-23 11:32:18 PDT
Created attachment 249241 [details]
Patch
Comment 2 Jer Noble 2015-03-23 11:35:19 PDT
rdar://problem/20246635
Comment 3 WebKit Commit Bot 2015-03-23 12:21:05 PDT
Comment on attachment 249241 [details]
Patch

Clearing flags on attachment: 249241

Committed r181860: <http://trac.webkit.org/changeset/181860>
Comment 4 WebKit Commit Bot 2015-03-23 12:21:09 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Jer Noble 2015-03-24 08:51:01 PDT
Re-opening. As Ian points out in #138971, there is some more work to do here.
Comment 6 Jer Noble 2015-03-26 15:07:05 PDT
Created attachment 249516 [details]
Patch
Comment 7 Jer Noble 2015-03-26 15:32:31 PDT
Committed r182029: <http://trac.webkit.org/changeset/182029>